## org.apache.http.impl
Class DefaultHttpClientConnection

    java.lang.Object
      org.apache.http.impl.AbstractHttpClientConnection
          org.apache.http.impl.SocketHttpClientConnection
              org.apache.http.impl.DefaultHttpClientConnection

All Implemented Interfaces:
  Closeable, HttpClientConnection, HttpConnection, HttpInetConnection

    @NotThreadSafe
    public class DefaultHttpClientConnection

extends SocketHttpClientConnection

Default implementation of a client-side HTTP connection.

The following parameters can be used to customize the behavior of this class:

- `CoreProtocolPNames.HTTP_ELEMENT_CHARSET`
- `CoreConnectionPNames.TCP_NODELAY`
- `CoreConnectionPNames.SO_TIMEOUT`
- `CoreConnectionPNames.SO_LINGER`
- `CoreConnectionPNames.SO_KEEPALIVE`
- `CoreConnectionPNames.SOCKET_BUFFER_SIZE`
- `CoreConnectionPNames.MAX_LINE_LENGTH`
- `CoreConnectionPNames.MAX_HEADER_COUNT`
- `CoreConnectionPNames.MIN_CHUNK_LIMIT`

Since:
  4.0

Constructor Summary
`DefaultHttpClientConnection()`

Method Summary
`void` `bind(Socket socket, HttpParams params)` Binds this connection to the given `Socket`.

Methods inherited from class org.apache.http.impl.SocketHttpClientConnection
`assertNotOpen, assertOpen, close, createSessionInputBuffer, createSessionOutputBuffer, getLocalAddress, getLocalPort, getRemoteAddress, getRemotePort, getSocket, getSocketTimeout, isOpen, setSocketTimeout, shutdown, toString`

Methods inherited from class org.apache.http.impl.AbstractHttpClientConnection
`createConnectionMetrics, createEntityDeserializer, createEntitySerializer, createHttpResponseFactory, createRequestWriter, createResponseParser, doFlush, flush, getMetrics, init, isEof, isResponseAvailable, isStale, receiveResponseEntity, receiveResponseHeader, sendRequestEntity, sendRequestHeader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.http.HttpConnection
`getMetrics, isStale`

Constructor Detail

### DefaultHttpClientConnection

    public DefaultHttpClientConnection()

Method Detail

### bind

    public void bind(Socket socket,
                     HttpParams params)
              throws IOException

  Description copied from class: `SocketHttpClientConnection`
  Binds this connection to the given `Socket`. This socket will be used by the connection to send and receive data.

  This method will invoke `SocketHttpClientConnection.createSessionInputBuffer(Socket, int, HttpParams)` and `SocketHttpClientConnection.createSessionOutputBuffer(Socket, int, HttpParams)` methods to create session input / output buffers bound to this socket and then will invoke `AbstractHttpClientConnection.init(SessionInputBuffer, SessionOutputBuffer, HttpParams)` method to pass references to those buffers to the underlying HTTP message parser and formatter.

  After this method's execution the connection status will be reported as open and the `SocketHttpClientConnection.isOpen()` will return `true`.

  Overrides:
    `bind` in class `SocketHttpClientConnection`
  Parameters:
    `socket` - the socket.
    `params` - HTTP parameters.
  Throws:
    `IOException` - in case of an I/O error.

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.